<?php require $this->out_file("views/tinymce.init.js.php"); ?>

<h2>Modifier un album</h2>

<ul class="buttons">
  <li><a href="<?php echo $this->url("users/albums") ?>">Retour &agrave; la liste des albums</a></li>
</ul>

<?php if($this->out["groupes"]["total"] > 0) : ?>

<form name="album_form" action="<?php echo $this->url("users/albums/edit", array("id" => $_GET[$this->param("id")])) ?>" method="post" enctype="multipart/form-data">
  <fieldset>
    <ul class="form">
  
      <li>
        <label for="id_groupe">groupe</label>
        <div class="form_input">
          <select name="id_groupe" id="id_groupe">
          <?php foreach($this->out["groupes"]["list"] as $id_groupe => $groupe) : ?>
            <option value="<?php echo $id_groupe ?>"<?php echo $this->out["groupe"]["id"] == $id_groupe ? "selected=\"selected\"" : "" ?>><?php echo $groupe["nom"] ?></option>
          <?php endforeach; ?>
          </select>
        </div>
      </li>
  
      <li>
        <label for="titre">titre</label>
        <div class="form_input">
          <input type="text" class="long_text" name="titre" id="titre" value="<?php echo $this->out["album"]["titre"] ?>" />
        </div>
      </li>
  
      <li>
        <label for="image">icone</label>
        <div class="form_input">
          <?php if(isset($this->out["album"]["image"])) : ?>
          <img class="logo" src="<?php echo $this->out["album"]["image_uri"] ?>" /><br /><br />
          <input type="checkbox" name="del_image" /> effacer l'icone<br /><br />
          <?php endif; ?>
          <input type="file" name="image" />
        </div>
      </li>
  
      <li>
        <label for="licence">licence</label>
        <div class="form_input">
          <select name="licence" id="licence">
            <option value="0"<?php echo $this->out["album"]["licence"] == 0 ? "selected=\"selected\"" : "" ?>>licences pr&eacute;cis&eacute;es dans le contenu</option>
          <?php foreach($this->out["licences"]["list"] as $id_licence => $licence) : ?>
            <option value="<?php echo $id_licence ?>"<?php echo $this->out["album"]["licence"]["id"] == $id_licence ? "selected=\"selected\"" : "" ?>><?php echo $licence["nom"] ?></option>
          <?php endforeach; ?>
          </select>
        </div>
      </li>
  
      <li>
        <label for="date_creation">date de cr&eacute;ation</label>
        <div class="form_input">
    <?php
    
      $date_creation =
      ( $this->out["album"]["date_creation"] ?
          explode("-", $this->out["album"]["date_creation"])
        : array(0 => date("Y"), 1 => date("m"), 2 => date("d"))
      );
    
    ?>
          jour
          <select name="jour_date_creation">
    <?php for($j = 1; $j <=31; $j++) : ?>
            <option value="<?php echo $j ?>"<?php echo $date_creation[2] == $j ? " selected=\"selected\"" : ""?>><?php echo $j ?></option>
    <?php endfor; ?>
          </select>
          mois
          <select name="mois_date_creation">
    <?php for($m = 1; $m <=12; $m++) : ?>
           <option value="<?php echo $m ?>"<?php echo $date_creation[1] == $m ? " selected=\"selected\"" : ""?>><?php echo $m ?></option>
    <?php endfor; ?>
          </select>
          ann&eacute;e
          <input type="text" size="4" name="annee_date_creation" value="<?php echo $date_creation[0] ?>">
        </div>
      </li>
  
      <li>
        <h3><label>Fichiers</label> <a href="#" onclick="add_document(); return false;">Ajouter un fichier</a></h3>
      </li>
  
      <li>
        <div id="documents">
  
  <?php if($this->out["album"]) : foreach($this->out["album"]["documents"] as $id_document => $document) : ?>
  
          <div class="document" id="document_<?php echo $id_document ?>">
            <div class="delete"><a href="#" onclick="del_document('<?php echo $id_document ?>'); return false;">Enlever ce fichier</a></div>
            <label for="document_nom_<?php echo $id_document ?>">nom</label>
            <input type="text" class="long_text" name="document_nom_<?php echo $id_document ?>" id="document_nom_<?php echo $id_document ?>" value="<?php echo $document["nom"] ?>" />
            <div class="clear"><!-- --></div>
            <label for="document_url_<?php echo $id_document ?>">url</label>
            <input type="text" size="48" name="document_url_<?php echo $id_document ?>" id="document_url_<?php echo $id_document ?>" value="<?php echo $document["url"] ?>" />
          </div>
          <script type="text/javascript">if(last_document_id <= <?php echo $id_document ?>) last_document_id = <?php echo $id_document ?> + 1; </script>
  
  <?php endforeach; endif; ?>
  
        </div>
      </li>
      <li>
        <label for="description">description</label>
      </li>
      <li>
        <textarea class="tinymce" cols="70" rows="10" name="description" id="description"><?php echo $this->out["album"]["description"] ?></textarea>
      </li>
      <li>
        <div class="form_buttons">
          <input type="submit" value="Enregistrer" />
        </div>
      </li>
    </ul>
  </fieldset>
</form>

<?php else : ?>

<p>Vous ne g&eacute;rez aucun groupe pour le moment.</p>
<p>Pour ajouter un album, vous devez d'abord <a href="<?php echo $this->url("users/groupes/add") ?>">cr&eacute;er un groupe</a>.</p>

<?php endif; ?>
